Get batch details by ID
curl --request GET \
--url https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id} \
--header 'Authorization: <authorization>'import requests
url = "https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency_pair": "<string>",
"status": "<string>",
"operation_count": 123,
"operations": [
{
"operation_id": "<string>",
"foreign_currency_amount": 123,
"currency_pair": "<string>",
"status": "<string>",
"customer_id": "<string>",
"bank_account": {
"bank_name": "<string>",
"swift_code": "<string>",
"bank_country": "<string>",
"account_number": "<string>",
"iban": "<string>",
"aba_routing_number": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"counterparty_id": "<string>",
"intermediary_bank": {
"bank_name": "<string>",
"swift_code": "<string>",
"bank_country": "<string>"
},
"batch_id": "<string>"
}
]
}{
"message": "<string>"
}Batches
Get Batch
GET
/
batches
/
{batch_id}
Get batch details by ID
Headers
Authorization header
Example:
"Bearer Token"
Path Parameters
Response
Response
Unique identifier of the batch
Timestamp when the batch was created
Currency pair for the batch
Current status of the batch
Number of SWIFT operations in the batch
List of operations in the batch
Show child attributes
Show child attributes

